# Click Usage Markdown Generator

## Installation
Add `clickusagemd` as development dependency to your Poetry project.

```sh
poetry add -D git+ssh://git@git.goatpr0n.de/Tools/clickusagemd.git
```

By adding a revision tag you can stay on a — at least for you — working version, instead of working with the latest and
possible broken commit.

The latest recommended revision is: **0.6.2**.

**To install:**
```sh
poetry add -D git+ssh://git@git.goatpr0n.de/Tools/clickusagemd.git@0.6.2
```

After installing, register the *pre-push* hook.
The hook is installed by executing the command `poetry run clickusagemd install`.
If an previous, untagged version of the *pre-push* hook was installed you might need to manually delete the file `.git/hooks/pre-push` before installing.
Later versions of *clickusagemd* will detect its own *pre-hook* files and will install or update them.

## Updating
To update *clickusagemd* either run
```sh
poetry update clickusagemd
```
with , or to update all *Poetry* dependencies at once
```sh
poetry update
```

## Usage

See [USAGE.md](USAGE.md).

## Uninstall
*Clickusagemd* can be uninstalled by removing the *pre-push* hook with
```sh
poetry run clickusagemd uninstall
```
or by manually deleting the file `.git/hooks/pre-push`.

To completely remove the `clickusagemd` command use the *Poetry* package manager to remove the dependency.
```sh
poetry remove -D clickusagemd
```
